Bug 123390 - FILEOPEN DOCX SIGN table formula is not working in LO
Summary: FILEOPEN DOCX SIGN table formula is not working in LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DOCX-Fields Regressions-expression-is-faulty
  Show dependency treegraph
 
Reported: 2019-02-12 08:03 UTC by NISZ LibreOffice Team
Modified: 2020-08-31 11:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer. (279.92 KB, image/png)
2019-02-12 08:03 UTC, NISZ LibreOffice Team
Details
Document with SIGN table formulas. (20.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-12 08:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-12 08:03:29 UTC
Description:
SIGN table formula has Expression is faulty when opened in LO.

Steps to Reproduce:
    1. Create a new docx in Word.
    2. Insert a Table.
    3. Insert SIGN() formula to some of the cells.
    4. Save and open it in LO.

Actual Results:
The cells which had and SIGN formula now have ** Expression is faulty ** instead of what was in them in Word.

Expected Results:
All the cells should have the same data in them.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details: Version: 6.3.0.0.alpha0+
Build ID: cec7ae9f3c69ecc83462f28fc4987e37dc1b420e
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-02-12 08:03:53 UTC
Created attachment 149196 [details]
Screenshot of the original document side by side in Word and Writer.
Comment 2 NISZ LibreOffice Team 2019-02-12 08:04:10 UTC
Created attachment 149197 [details]
Document with SIGN table formulas.
Comment 3 Xisco Faulí 2019-02-12 10:16:31 UTC
debug:6656:6656: =SIGN(-11)
debug:6656:6656: =SIGN(B1)

Writer doesn't have the sign function
Comment 4 Commit Notification 2020-08-20 20:06:10 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d9b72d1c3929eca04c7a2e363ab6214676b0f64

tdf#123390 DOCX import: fix SIGN formula

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-08-27 07:19:22 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a2b48254e4ce731edcdbd2f3fa9f6720ae676ae8

Revert "tdf#123390 DOCX import: fix SIGN formula"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-08-27 07:19:33 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/305c8993788b32685a1e6bfc8999fd8a43fcfdaf

tdf#123390 sw: add table formula SIGN

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-08-31 11:49:16 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!